# enable warnings for the selected compiler
AC_DEFUN(AC_CC_WARNINGS,
[
	# enable the --silent option
	AC_ARG_ENABLE(silent,
		[  --enable-silent         disable implicit warnings],
		[ac_silent="$enableval"], [ac_silent="no"]
	)

	if test "$ac_silent" != "yes"; then
		AC_MSG_CHECKING([for warning flags]);
		case "$CC" in
			gcc*)	ac_wflags="-Wall -Wno-format";;
			*)		AC_MSG_RESULT(unsupported compiler);;
		esac
		if test -z "$ac_wflags"; then
			AC_MSG_RESULT([none]);
		else
			AC_MSG_RESULT([$ac_wflags]);
			CFLAGS="$CFLAGS $ac_wflags";
		fi
	fi
])

# force supported compilers to be pedantic
AC_DEFUN(AC_CC_PEDANTIC,
[
	# enable the --silent option
	AC_ARG_ENABLE(pedantic,
		[  --enable-pedantic       enable pedantic flags],
		[ac_pedantic="$enableval"], [ac_pedantic="no"]
	)

	if test "$ac_pedantic" != "no"; then
		AC_MSG_CHECKING([for pedantic flags]);
		case "$CC" in
			gcc*)	ac_pflags="-pedantic";;
			*)		AC_MSG_RESULT(unsupported compiler);;
		esac
		if test -z "$ac_pflags"; then
			AC_MSG_RESULT([none]);
		else
			AC_MSG_RESULT([$ac_pflags]);
			CFLAGS="$CFLAGS $ac_pflags";
		fi
	fi
])

